Skip to main content
`Ctrl`+`K`

# EPSPowerSetSignNormalization

Sets a flag to indicate whether the \(Bx\) vector should be normalized by the sign of the first non-zero element in the vector. E.g., if this is true, the post-normalization value of the first non-zero element in the vector is guaranteed to be positive.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerSetSignNormalization(EPS eps,PetscBool sign_normalization)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- sign_normalization - whether \(Bx\) should be multiplied by the sign of the first non-zero element when performing normalization steps

## Options Database Key

- -eps_power_sign_normalization - sets the sign normalization flag

## Note

This flag is relevant only in nonlinear problems, see `EPSPowerSetNonlinear()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerSetNonlinear()`, `EPSPowerGetSignNormalization()`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Examples

src/eps/tutorials/ex34.c

## Implementations

EPSPowerSetSignNormalization_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages